Skip to content

Get Organization Workflows

Request

Security
bearer-key
Path
orgUuidstringrequired

org UUID (from the Mend App: Administration General > Organization UUID).

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitstring, <= 10000

Specifies the maximum number of items to be returned in the response.

Default:"50"
GET
/api/v3.0/orgs/{orgUuid}/automation/workflows
curl -i -X GET \
  'https://baseUrl/api/v3.0/orgs/{orgUuid}/automation/workflows?cursor=string&limit=50' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
Example:
{ "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }
supportTokenstring(Support Token)
Example:"1171c60d"
responseArray of objects(AutomationWorkflowSummaryDTO)
Response
{ "additionalData": { "totalItems": "422", "next": "http://someUrl?cursor=3", "cursor": 3 }, "supportToken": "1171c60d", "response": [ {} ] }